libgnupg-perl (0.19-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libgnupg-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 16:05:27 +0100

libgnupg-perl (0.19-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 14 Jun 2022 22:05:06 +0100

libgnupg-perl (0.19-3) unstable; urgency=medium

  * Add patch to disable key generation test which can fail due to missing
    entropy.
    Thanks to Santiago Vila for the bug report. (Closes: #850299)
  * Add pre-generated keys for the tests and arrange for them to being
    used during build and autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Jan 2017 14:43:50 +0100

libgnupg-perl (0.19-2) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * Use gpg1 explicitly while incompatible with GnuPG 2.1.x (closes: #834522)
  * Bump dh compat to level 9
  * Declare compliance with Debian Policy 3.9.8
  * Mention incompatibility with modern GnuPG in package description
  * Add spelling.patch
  * Add test directory missing for autopkgtests

 -- Florian Schlichting <fsfs@debian.org>  Thu, 22 Dec 2016 23:07:22 +0100

libgnupg-perl (0.19-1) unstable; urgency=low

  * Imported Upstream version 0.19
  * Drop fix-spelling-error-in-manpage.patch patch.
    Patch was applied upstream.
  * Drop 665226-fix-FTBFS-with-gnupg-1.4.12.patch patch.
    Patch was applied upstream.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Apr 2012 22:25:32 +0200

libgnupg-perl (0.18-2) unstable; urgency=low

  * Add 665226-fix-FTBFS-with-gnupg-1.4.12.patch patch.
    Fix FTBFS with gnupg 1.4.12. gnupg 1.4.12 adds a new status message
    DECRYPTION_INFO. (Closes: #665226)
  * Update debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for debian/* packaging.
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 Apr 2012 17:04:37 +0200

libgnupg-perl (0.18-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Email change: Ansgar Burchardt -> ansgar@debian.org
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 0.18
  * Bump Debhelper compat level to 8.
    Adjust Build-Depends on debhelper to (>= 8)
  * Update copyright for debian/* packaging
  * Update copyright license stanzas.
    Refer to Debian systems in general instead of only Debian GNU/Linux
    systems.
    Explicitly point to GPL-1 license text in common-licenses.
  * Bump Standards-Version to 3.9.2
  * Add fix-spelling-error-in-manpage.patch patch.
    Fix spelling error in manpage of GnuPG::Tie

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Nov 2011 09:32:27 +0100

libgnupg-perl (0.17-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * debian/copyright: Fix License for debian/* packaging to Artistic or
    GPL-1+.

  [ Damyan Ivanov ]
  * New upstream release
    + Includes the patch from Niko Tyni fixing a hang during build
      (Closes: #583072)

  [ gregor herrmann ]
  * Backup and restore test/ directory before/after dh_auto_test.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Jun 2010 15:22:36 +0200

libgnupg-perl (0.16-1) unstable; urgency=low

  [ Jonathan Yu ]
  * Rewrite control description

  [ Ansgar Burchardt ]
  * New upstream release (0.14).
  * No longer install README.

  [ Salvatore Bonaccorso ]
  * New upstream release (0.16).
  * Drop fix-spelling-error-in-manpage.patch as it is applied upstream
    in a slightly modified version.
  * Refresh debian/copyright: Add Ansgar to Copyright stanza for debian/*
    packaging.
  * debian/control: Add explicitly perl to Build-Depends-Indep.

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 May 2010 16:46:59 +0200

libgnupg-perl (0.11-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Add myself to Uploaders
  * Bump Standards-Version to 3.8.4.
  * Refresh debian/copyright file to follow revision 135 of format
    specification for machine readable copyright file in DEP5.
  * Convert to '3.0 (quilt)' package source format.
  * Add fix-spelling-error-in-manpage.patch to fix spelling error in manpage
    reported by lintian.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 31 Jan 2010 18:56:27 +0100

libgnupg-perl (0.10-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Damyan Ivanov ]
  * add gnupg to Build-Depends-Indep. Thanks to Michael Bienia
    Closes: #540068 (missing build-dependency on non-build-essential package)
  * Standards-Version: 3.8.2 (no changes needed)
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Thu, 06 Aug 2009 10:19:09 +0300

libgnupg-perl (0.10-1) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group on maintainer's request:
    http://lists.debian.org/debian-perl/2009/01/msg00120.html
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field
    (source stanza); Homepage field (source stanza); ${misc:Depends} and
    ${perl:depends} to Depends: field. Changed: Maintainer set to Debian Perl
    Group <pkg-perl-maintainers@lists.alioth.debian.org> (was: Peter Palfrader
    <weasel@debian.org>); add /me to Uploaders.
  * Add debian/watch.
  * Set Standards-Version to 3.8.0.
  * Split out patches against the upstream code.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: switch to new format.

  [ Ryan Niebur ]
  * New upstream release (closes: #440177, #121472)
  * Add myself to Uploaders
  * Debian Policy 3.8.1
  * remove auto_retrieve_missing_subkey.patch, gnupg1.2.5.patch,
    pod.patch, policy_url.patch, and strict_subs.patch, all of which are
    applied upstream

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Jun 2009 19:43:46 +0200

libgnupg-perl (0.9-9) unstable; urgency=low

  * Make/sh prefers "! [ -d foo ]" over "![ -d foo ]".  It didn't really
    matter because there was a "|| rmdir foo" after that and the directory
    existed, but it prints ugly warnings that I missed before.

 -- Peter Palfrader <weasel@debian.org>  Sun, 18 Jun 2006 01:32:22 +0200

libgnupg-perl (0.9-8) unstable; urgency=low

  * Move debhelper from Build-Depends-Indep to Build-Depends.
  * Apply patch by Andrew Suffield to handle key retrival by GnuPG caused by
    'keyserver-options auto-key-retrieve' (closes: #269627).  Thanks.
  * Apply patch by Andrew Suffield to properly propagte that reason
    for verification errors when the key is not around (closes: #310792).
    Thanks once more.
  * Instead of defining INSTALLBIN, INSTALLSCRIPT, etc just say
    INSTALLDIRS=vendor in debian/rules, and set PREFIX for the install.
  * Also use make install and not make pure_install.
  * Remove code to remove .packlist files from the install target.
  * Remove lots of comments (and unused, commented out lines) from
    debian/rules.
  * Remove usr/sbin from debian/dirs (debhelper).  We don't put anything
    there.
  * Remove empty usr/lib/perl5 and usr/lib after make install.
  * Update Standards-Version to 3.7.2 from 3.6.1 (without additional changes).

 -- Peter Palfrader <weasel@debian.org>  Sat, 17 Jun 2006 20:43:37 +0200

libgnupg-perl (0.9-7) unstable; urgency=low

  * GnuPG::Perl looks to be quite unmaintained upstream, so I recomment
    people use other modules, like GnuPG::Interface maybe, however
    apply Adrian's patch for his POLICY_URL problem.  GnuPG.pm would
    complain about protocol violations when a signature had more
    information (like a POLICY_URL) than it expected (Closes: #316065).
  * Change from debhelper compat level 2 to 4, and change build depends
    accordingly.

 -- Peter Palfrader <weasel@debian.org>  Sun, 10 Jul 2005 11:53:08 +0200

libgnupg-perl (0.9-6) unstable; urgency=low

  * GnuPG 1.2.5 introduced a few more status lines when decrypting/verifying
    files.  GnuPG.pm would not handle that properly.  We now eat all the
    status lines in decrypt_postread() (closes: #298556).

 -- Peter Palfrader <weasel@debian.org>  Tue,  8 Mar 2005 20:55:41 +0100

libgnupg-perl (0.9-5) unstable; urgency=low

  * Change section to perl to fix override disparity.

 -- Peter Palfrader <weasel@debian.org>  Sun, 25 Apr 2004 16:46:09 +0200

libgnupg-perl (0.9-4) unstable; urgency=low

  * Install non binary perl into usr/share rather than usr/lib.
  * Slight changes to debian/copyright: replace "author(s)" with
    "author", refer to GPL-2 rather than GPL.
  * Update standards version to 3.6.1.
  * Fix build dependency on debhelper: it needs to be versioned (>=2).
  * Don't end short desciprtion with a dot.

 -- Peter Palfrader <weasel@debian.org>  Sun, 25 Apr 2004 15:27:54 +0200

libgnupg-perl (0.9-3) unstable; urgency=low

  * New Standards-Version: 3.5.7
    - Have no /usr/doc link anymore (actually building against the new
      debhelper does fix this - I'll not depend on it tho to make
      building it on older releases easier)
    - Change Build-Depends to Build-Depends-Indep

 -- Peter Palfrader <weasel@debian.org>  Mon, 11 Nov 2002 13:37:14 +0100

libgnupg-perl (0.9-2) unstable; urgency=low

  * Moved from non-US to main (Section: interpreters).

 -- Peter Palfrader <weasel@debian.org>  Mon, 17 Jun 2002 20:25:34 +0200

libgnupg-perl (0.9-1) unstable; urgency=low

  * New upstream version (closes: #99647);
  * Upped Standards-Version to 3.5.4.
  * Applied patch to make it work under strict subs:
    @@ -267 +267 @@
    -       my $max_fd = POSIX::sysconf( POSIX::_SC_OPEN_MAX ) || 256;
    +       my $max_fd = POSIX::sysconf( &POSIX::_SC_OPEN_MAX ) || 256;
    Thanks to Radu Muschevici <radu@stusta.mhn.de> (closes: #117689).
  * Also remove empty stuff from usr/lib/perl.

 -- Peter Palfrader <weasel@debian.org>  Wed,  7 Nov 2001 17:23:00 +0100

libgnupg-perl (0.7-2) unstable; urgency=low

  * Fixed example in GnuPG::Tie manpage (closes: #90703).
  * Upped Standards-Version to 3.5.2.
  * Removed dependency on perl5. perl-base is essential and sufficent.

 -- Peter Palfrader <weasel@debian.org>  Sun, 25 Mar 2001 21:07:14 +0200

libgnupg-perl (0.7-1) unstable; urgency=low

  * Initial Release (closes: #76184).

 -- Peter Palfrader <weasel@debian.org>  Thu,  4 Jan 2001 02:21:44 +0100
